Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361039 - kernel BUG at drivers/acpi/osl.c:1052!
Summary: kernel BUG at drivers/acpi/osl.c:1052!
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: aarch64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2016-07-28 08:36 UTC by Itaru Kitayama
Modified: 2016-09-30 21:41 UTC (History)
10 users (show)

Fixed In Version: kernel-4.7.4-200.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 18:42:42 UTC


Attachments (Terms of Use)

Description Itaru Kitayama 2016-07-28 08:36:22 UTC
Description of problem:

kernel BUG was hit during boot.

Version-Release number of selected component (if applicable):

Seen with kernel, Fedora (4.6.4-301.fc24.aarch64) 24 (Twenty Four)

How reproducible:

100% of the time

Steps to Reproduce:

Actual results:

[    6.962291] kernel BUG at drivers/acpi/osl.c:1052!
[    6.967071] Internal error: Oops - BUG: 0 [#1] SMP
[    6.971846] Modules linked in:
[    6.974916] CPU: 1 PID: 1 Comm: swapper/0 Tainted: G        W       4.6.4-301.fc24.aarch64 #1
[    6.983407] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.08-rc Jul  1 2016
[    6.988838] ata1: SATA link down (SStatus 0 SControl 4300)
[    6.998829] task: fffffe07dc100000 ti: fffffe07dc180000 task.ti: fffffe07dc180000
[    7.006295] PC is at acpi_os_read_memory+0x98/0x120
[    7.011163] LR is at acpi_os_read_memory+0x70/0x120
[    7.016026] pc : [<fffffc00084e8778>] lr : [<fffffc00084e8750>] pstate: 80000045
[    7.023392] sp : fffffe07dc183b70
[    7.026697] x29: fffffe07dc183b70 x28: fffffe00082a2a80
[    7.032021] x27: 0000000000000001 x26: fffffc0008da1000
[    7.037342] x25: fffffc000902bb90 x24: fffffc0008da2000
[    7.042661] x23: fffffc0008d38000 x22: 0000000000000000
[    7.047981] x21: 00000000000001ff x20: 0000000000000007
[    7.053301] x19: fffffe07dc183c00 x18: 0000000000000000
[    7.058619] x17: 0000000000000007 [    7.058673] ata3: SATA link down (SStatus 0 SControl 4300)
[    7.058731] ata4: SATA link down (SStatus 0 SControl 4300)

[    7.072756] x16: 0000000000000000
[    7.076348] x15: ffffffffffffffff x14: fffffe00082a3488
[    7.081668] x13: fffffe00082a3487 x12: 0000000000000000
[    7.086987] x11: 0101010101010101 x10: 7f7f7f7f7f7f7f7f
[    7.092306] x9 : 0000000000000000 x8 : 0000000000000001
[    7.097625] x7 : fffffc0008ebca2f x6 : 000003fff6aa0000
[    7.102944] x5 : fffffe07fffe4ab8 x4 : fffffe07d6434c98
[    7.108263] x3 : fffffc0008da32d8 x2 : 0000000000000001
[    7.113581] x1 : fffffe07dc183ba8 x0 : fffffc00095601ff
[    7.118899]
[    7.120392] Process swapper/0 (pid: 1, stack limit = 0xfffffe07dc180020)
[    7.127070] Stack: (0xfffffe07dc183b70 to 0xfffffe07dc184000)
[    7.132800] 3b60:                                   fffffe07dc183bb0 fffffc000851bdf0
[    7.140602] 3b80: fffffe07dc183c00 fffffe07d7fe0e18 fffffc000901f000 fffffe00082a2b04
[    7.148403] 3ba0: fffffe07dc183c50 fffffc00086db90c fffffe07dc183bd0 fffffc000851bebc
[    7.156206] 3bc0: fffffe07d7fe0e00 fffffe00082a2b00 fffffe07dc183c20 fffffc00086deb0c
[    7.164007] 3be0: fffffe07dcc35c00 fffffe00082a2b00 0000000000000000 0000000000000000
[    7.171810] 3c00: 0000000000000000 00000000ffffffe0 fffffe07dc183c50 fffffe07dc183c50
[    7.179611] 3c20: fffffe07dc183c50 fffffc00086db454 fffffe07dcc35c00 fffffc000902b000
[    7.187411] 3c40: 0000000000000000 fffffc0008edb000 fffffe07dc183cc0 fffffc00086dbc88
[    7.195212] 3c60: 0000000000000000 0000000000000001 fffffc000902b000 fffffc0008edb000
[    7.203012] 3c80: fffffc0008e80228 fffffc0008e80000 0000000000000040 00000000024000c0
[    7.210814] 3ca0: 00000000024080c0 fffffe00082a2a80 fffffe07dc183d18 fffffc0008e6a170
[    7.218614] 3cc0: fffffe07dc183cf0 fffffc000858c14c fffffc0008e80280 fffffc0008e6a170
[    7.226415] 3ce0: fffffc000902b000 fffffc00080d1e88 fffffe07dc183d30 fffffc00086d9c20
[    7.234215] 3d00: fffffc0008e80ab0 fffffc000902bcb0 fffffe07dc183d30 fffffe07fad0bea8
[    7.242016] 3d20: fffffe07dc991a68 0000000000000000 fffffe07dc183d70 fffffc0008c746a8
[    7.249816] 3d40: fffffc0008da0000 fffffc000902b000 fffffc0008da1000 0000000000000008
[    7.257617] 3d60: fffffc0008ffb450 fffffc0008da1d94 fffffe07dc183dd0 fffffc0008090a20
[    7.265417] 3d80: fffffc0008da9720 fffffc0008da9720 fffffe00082a2a80 fffffc0008c74570
[    7.273217] 3da0: 0000000000000000 fffffc0008c30260 fffffc0008c1d3c8 fffffc0008c8d070
[    7.281018] 3dc0: fffffc0008d10528 0000000000000000 fffffe07dc183e50 fffffc0008c30b40
[    7.288818] 3de0: 0000000000000108 fffffc0008f00000 fffffc0008c8d078 0000000000000007
[    7.295325] ata2: SATA link up 6.0 Gbps (SStatus 133 SControl 4300)
[    7.296628] ata2.00: ATA-8: ST500DM002-1BD142, KC48, max UDMA/133
[    7.296639] ata2.00: 976773168 sectors, multi 0: LBA48 NCQ (depth 0/32)
[    7.298160] ata2.00: configured for UDMA/133
[    7.299125] scsi 1:0:0:0: Direct-Access     ATA      ST500DM002-1BD14 KC48 PQ: 0 ANSI: 5
[    7.327804] 3e00: fffffc0008f00000 fffffc0008c8d070 fffffc0008d10400 0000000000000000
[    7.335606] 3e20: fffffc0008dbdae8 fffffc0008aeda60 0000000000000000 0000000700000007
[    7.343407] 3e40: fffffc0008c30260 fffffc0008c1d3c8 fffffe07dc183eb0 fffffc0008890848
[    7.351207] 3e60: fffffc0008f00000 fffffc0008f00000 0000000000000000 0000000000000000
[    7.359007] 3e80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.366808] 3ea0: 0000000000000000 0000000000000000 0000000000000000 fffffc0008093a80
[    7.374609] 3ec0: fffffc0008890828 0000000000000000 0000000000000000 0000000000000000
[    7.382409] 3ee0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.390210] 3f00: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.398011] 3f20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.405810] 3f40: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.413611] 3f60: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.421410] 3f80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.429210] 3fa0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.437010] 3fc0: 0000000000000000 0000000000000000 0000000000000000 0000000000000005
[    7.444809] 3fe0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.452606] Call trace:
[    7.455050] Exception stack(0xfffffe07dc1839b0 to 0xfffffe07dc183ad0)
[    7.461469] 39a0:                                   fffffe07dc183c00 0000000000000007
[    7.469271] 39c0: fffffe07dc183b70 fffffc00084e8778 fffffdfedfff0000 00000000024000c0
[    7.477072] 39e0: fffffe07dc183a00 fffffc000820f414 fffffe00082a3600 fffffc0008000000
[    7.484873] 3a00: fffffe07dc183a80 fffffc000820f520 0000000000010000 fffffe00082a3580
[    7.492674] 3a20: fffffe07dc183a40 fffffc000820daf8 fffffe00082a3600 fffffc0008000000
[    7.500475] 3a40: fffffe07dc183a80 fffffc000820f53c fffffc00095601ff fffffe07dc183ba8
[    7.508276] 3a60: 0000000000000001 fffffc0008da32d8 fffffe07d6434c98 fffffe07fffe4ab8
[    7.516077] 3a80: 000003fff6aa0000 fffffc0008ebca2f 0000000000000001 0000000000000000
[    7.523879] 3aa0: 7f7f7f7f7f7f7f7f 0101010101010101 0000000000000000 fffffe00082a3487
[    7.531677] 3ac0: fffffe00082a3488 ffffffffffffffff
[    7.536547] [<fffffc00084e8778>] acpi_os_read_memory+0x98/0x120
[    7.542453] [<fffffc000851bdf0>] cpc_read+0xdc/0xe4
[    7.547320] [<fffffc000851bebc>] cppc_get_perf_caps+0xc4/0x15c
[    7.553135] [<fffffc00086deb0c>] cppc_cpufreq_cpu_init+0x3c/0x168
[    7.559214] [<fffffc00086db454>] cpufreq_online+0x10c/0x7f8
[    7.564772] [<fffffc00086dbc88>] cpufreq_add_dev+0xd0/0x110
[    7.570330] [<fffffc000858c14c>] subsys_interface_register+0x84/0xc0
[    7.576667] [<fffffc00086d9c20>] cpufreq_register_driver+0x178/0x230
[    7.583004] [<fffffc0008c746a8>] cppc_cpufreq_init+0x138/0x1a0
[    7.588821] [<fffffc0008090a20>] do_one_initcall+0xd8/0x1d8
[    7.594378] [<fffffc0008c30b40>] kernel_init_freeable+0x1ac/0x24c
[    7.600454] [<fffffc0008890848>] kernel_init+0x20/0xf8
[    7.605579] [<fffffc0008093a80>] ret_from_fork+0x10/0x50
[    7.610878] Code: 54000380 54000108 7100229f 540001c0 (d4210000)
[    7.617021] ---[ end trace 79eb4337dc7d976b ]---
[    7.621686] Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[    7.621686]
[    7.630794] CPU7: stopping
[    7.633516] CPU: 7 PID: 0 Comm: swapper/7 Tainted: G      D W       4.6.4-301.fc24.aarch64 #1
[    7.642009] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.08-rc Jul  1 2016
[    7.651968] Call trace:
[    7.654428] [<fffffc0008097348>] dump_backtrace+0x0/0x1d0
[    7.659817] [<fffffc000809753c>] show_stack+0x24/0x30
[    7.664858] [<fffffc00084411a8>] dump_stack+0x84/0xa4
[    7.669897] [<fffffc000809d664>] handle_IPI+0x29c/0x2b0
[    7.675107] [<fffffc000809052c>] gic_handle_irq+0x94/0xb0
[    7.680487] Exception stack(0xfffffe07fff63fd0 to 0xfffffe07fff640f0)
[    7.686906] 3fc0:                                   fffffe07dc1c3e30 fffffe07dc1c0000
[    7.694710] 3fe0: fffffe07dc1c3f50 fffffc0008094304 0000000060000145 0000000000000000
[    7.702512] 4000: fffffe07dc1c3f50 fffffe07dc1c3e30 0000000000000000 0000000000000000
[    7.710314] 4020: fffffe07dc762c90 0000000000000000 0000000000000000 0000000000000000
[    7.718114] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.725915] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.733714] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.741514] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.749314] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.757113] 40e0: 0000000000000000 0000000000000000
[    7.761979] [<fffffc00080935e0>] el1_irq+0xa0/0x100
[    7.766846] [<fffffc0008094304>] arch_cpu_idle+0x24/0x120
[    7.772234] [<fffffc0008113c04>] cpu_startup_entry+0x1f4/0x240
[    7.778049] [<fffffc000809cefc>] secondary_start_kernel+0x17c/0x1d0
[    7.784294] [<000000400029085c>] 0x400029085c
[    7.788641] CPU4: stopping
[    7.791365] CPU: 4 PID: 0 Comm: swapper/4 Tainted: G      D W       4.6.4-301.fc24.aarch64 #1
[    7.799858] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.08-rc Jul  1 2016
[    7.809817] Call trace:
[    7.812279] [<fffffc0008097348>] dump_backtrace+0x0/0x1d0
[    7.817669] [<fffffc000809753c>] show_stack+0x24/0x30
[    7.822708] [<fffffc00084411a8>] dump_stack+0x84/0xa4
[    7.827746] [<fffffc000809d664>] handle_IPI+0x29c/0x2b0
[    7.832956] [<fffffc000809052c>] gic_handle_irq+0x94/0xb0
[    7.838337] Exception stack(0xfffffe07ffed3fd0 to 0xfffffe07ffed40f0)
[    7.844756] 3fc0:                                   fffffe07dc1b7e30 fffffe07dc1b4000
[    7.852561] 3fe0: fffffe07dc1b7f50 fffffc0008094304 0000000060000145 0000000000000000
[    7.860364] 4000: fffffe07dc1b7f50 fffffe07dc1b7e30 0000000000000000 0000000000000000
[    7.868166] 4020: fffffe07dc761090 0000000000000000 0000000000000000 0000000000000000
[    7.875967] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.883767] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.891568] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.899368] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.907169] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    7.914967] 40e0: 0000000000000000 0000000000000000
[    7.919832] [<fffffc00080935e0>] el1_irq+0xa0/0x100
[    7.924700] [<fffffc0008094304>] arch_cpu_idle+0x24/0x120
[    7.930087] [<fffffc0008113c04>] cpu_startup_entry+0x1f4/0x240
[    7.935902] [<fffffc000809cefc>] secondary_start_kernel+0x17c/0x1d0
[    7.942146] [<000000400029085c>] 0x400029085c
[    7.946491] CPU6: stopping
[    7.949207] CPU: 6 PID: 0 Comm: swapper/6 Tainted: G      D W       4.6.4-301.fc24.aarch64 #1
[    7.957700] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.08-rc Jul  1 2016
[    7.967659] Call trace:
[    7.970116] [<fffffc0008097348>] dump_backtrace+0x0/0x1d0
[    7.975503] [<fffffc000809753c>] show_stack+0x24/0x30
[    7.980541] [<fffffc00084411a8>] dump_stack+0x84/0xa4
[    7.985578] [<fffffc000809d664>] handle_IPI+0x29c/0x2b0
[    7.990787] [<fffffc000809052c>] gic_handle_irq+0x94/0xb0
[    7.996167] Exception stack(0xfffffe07fff33fd0 to 0xfffffe07fff340f0)
[    8.002586] 3fc0:                                   fffffe07dc1bfe30 fffffe07dc1bc000
[    8.010390] 3fe0: fffffe07dc1bff50 fffffc0008094304 0000000060000145 0000000000000000
[    8.018192] 4000: fffffe07dc1bff50 fffffe07dc1bfe30 0000000000000000 0000000000000000
[    8.025994] 4020: fffffe07dc4bec90 0000000000000000 0000000000000000 0000000000000000
[    8.033796] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.041596] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.049396] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.057196] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.064996] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.072794] 40e0: 0000000000000000 0000000000000000
[    8.077660] [<fffffc00080935e0>] el1_irq+0xa0/0x100
[    8.082528] [<fffffc0008094304>] arch_cpu_idle+0x24/0x120
[    8.087913] [<fffffc0008113c04>] cpu_startup_entry+0x1f4/0x240
[    8.093728] [<fffffc000809cefc>] secondary_start_kernel+0x17c/0x1d0
[    8.099972] [<000000400029085c>] 0x400029085c
[    8.104318] CPU5: stopping
[    8.107035] CPU: 5 PID: 0 Comm: swapper/5 Tainted: G      D W       4.6.4-301.fc24.aarch64 #1
[    8.115529] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.08-rc Jul  1 2016
[    8.125486] Call trace:
[    8.127942] [<fffffc0008097348>] dump_backtrace+0x0/0x1d0
[    8.133331] [<fffffc000809753c>] show_stack+0x24/0x30
[    8.138370] [<fffffc00084411a8>] dump_stack+0x84/0xa4
[    8.143408] [<fffffc000809d664>] handle_IPI+0x29c/0x2b0
[    8.148617] [<fffffc000809052c>] gic_handle_irq+0x94/0xb0
[    8.153999] Exception stack(0xfffffe07fff03fd0 to 0xfffffe07fff040f0)
[    8.160420] 3fc0:                                   fffffe07dc1bbe30 fffffe07dc1b8000
[    8.168224] 3fe0: fffffe07dc1bbf50 fffffc0008094304 0000000060000045 0000000000000000
[    8.176026] 4000: fffffe07dc1bbf50 fffffe07dc1bbe30 0000000000000000 0000000000000000
[    8.183828] 4020: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.191628] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.199429] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.207229] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.215030] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.222830] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.230628] 40e0: 0000000000000000 0000000000000000
[    8.235494] [<fffffc00080935e0>] el1_irq+0xa0/0x100
[    8.240360] [<fffffc0008094304>] arch_cpu_idle+0x24/0x120
[    8.245747] [<fffffc0008113c04>] cpu_startup_entry+0x1f4/0x240
[    8.251562] [<fffffc000809cefc>] secondary_start_kernel+0x17c/0x1d0
[    8.257807] [<000000400029085c>] 0x400029085c
[    8.262152] CPU3: stopping
[    8.264870] CPU: 3 PID: 0 Comm: swapper/3 Tainted: G      D W       4.6.4-301.fc24.aarch64 #1
[    8.273364] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.08-rc Jul  1 2016
[    8.283323] Call trace:
[    8.285780] [<fffffc0008097348>] dump_backtrace+0x0/0x1d0
[    8.291169] [<fffffc000809753c>] show_stack+0x24/0x30
[    8.296209] [<fffffc00084411a8>] dump_stack+0x84/0xa4
[    8.301248] [<fffffc000809d664>] handle_IPI+0x29c/0x2b0
[    8.306457] [<fffffc000809052c>] gic_handle_irq+0x94/0xb0
[    8.311838] Exception stack(0xfffffe07ffea3fd0 to 0xfffffe07ffea40f0)
[    8.318258] 3fc0:                                   fffffe07dc1b3e30 fffffe07dc1b0000
[    8.326062] 3fe0: fffffe07dc1b3f50 fffffc0008094304 0000000060000045 0000000000000000
[    8.333866] 4000: fffffe07dc1b3f50 fffffe07dc1b3e30 0000000000000000 0000000000000000
[    8.341667] 4020: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.349468] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.357269] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.365071] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.372870] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.380670] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.388468] 40e0: 0000000000000000 0000000000000000
[    8.393333] [<fffffc00080935e0>] el1_irq+0xa0/0x100
[    8.398200] [<fffffc0008094304>] arch_cpu_idle+0x24/0x120
[    8.403587] [<fffffc0008113c04>] cpu_startup_entry+0x1f4/0x240
[    8.409403] [<fffffc000809cefc>] secondary_start_kernel+0x17c/0x1d0
[    8.415649] [<000000400029085c>] 0x400029085c
[    8.419993] CPU0: stopping
[    8.422704] CPU: 0 PID: 0 Comm: swapper/0 Tainted: G      D W       4.6.4-301.fc24.aarch64 #1
[    8.431195] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.08-rc Jul  1 2016
[    8.441152] Call trace:
[    8.443606] [<fffffc0008097348>] dump_backtrace+0x0/0x1d0
[    8.448993] [<fffffc000809753c>] show_stack+0x24/0x30
[    8.454032] [<fffffc00084411a8>] dump_stack+0x84/0xa4
[    8.459071] [<fffffc000809d664>] handle_IPI+0x29c/0x2b0
[    8.464280] [<fffffc000809052c>] gic_handle_irq+0x94/0xb0
[    8.469661] Exception stack(0xfffffe07ffe13fd0 to 0xfffffe07ffe140f0)
[    8.476081] 3fc0:                                   fffffc0008d83df0 fffffc0008d80000
[    8.483885] 3fe0: fffffc0008d83f10 fffffc0008094304 0000000060000145 0000000000000000
[    8.491688] 4000: fffffc0008d83f10 fffffc0008d83df0 0000000000000000 0000000000000000
[    8.499489] 4020: fffffe07d0301890 0000000000000000 0000000000000000 0000000000000000
[    8.507290] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.515091] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.522892] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.530692] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.538493] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.546292] 40e0: 0000000000000000 0000000000000000
[    8.551157] [<fffffc00080935e0>] el1_irq+0xa0/0x100
[    8.556024] [<fffffc0008094304>] arch_cpu_idle+0x24/0x120
[    8.561409] [<fffffc0008113c04>] cpu_startup_entry+0x1f4/0x240
[    8.567224] [<fffffc000889081c>] rest_init+0x74/0x80
[    8.572177] [<fffffc0008c30980>] start_kernel+0x3b4/0x3c8
[    8.577559] [<fffffc00080811d8>] 0xfffffc00080811d8
[    8.582422] CPU2: stopping
[    8.585138] CPU: 2 PID: 0 Comm: swapper/2 Tainted: G      D W       4.6.4-301.fc24.aarch64 #1
[    8.593632] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.08-rc Jul  1 2016
[    8.603590] Call trace:
[    8.606045] [<fffffc0008097348>] dump_backtrace+0x0/0x1d0
[    8.611433] [<fffffc000809753c>] show_stack+0x24/0x30
[    8.616471] [<fffffc00084411a8>] dump_stack+0x84/0xa4
[    8.621509] [<fffffc000809d664>] handle_IPI+0x29c/0x2b0
[    8.626717] [<fffffc000809052c>] gic_handle_irq+0x94/0xb0
[    8.632097] Exception stack(0xfffffe07ffe73fd0 to 0xfffffe07ffe740f0)
[    8.638516] 3fc0:                                   fffffe07dc1afe30 fffffe07dc1ac000
[    8.646320] 3fe0: fffffe07dc1aff50 fffffc0008094304 0000000060000145 0000000000000000
[    8.654123] 4000: fffffe07dc1aff50 fffffe07dc1afe30 0000000000000000 0000000000000000
[    8.661926] 4020: fffffe07dc77ec90 0000000000000000 0000000000000000 0000000000000000
[    8.669726] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.677526] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.685326] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.693125] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.700926] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    8.708724] 40e0: 0000000000000000 0000000000000000
[    8.713589] [<fffffc00080935e0>] el1_irq+0xa0/0x100
[    8.718456] [<fffffc0008094304>] arch_cpu_idle+0x24/0x120
[    8.723842] [<fffffc0008113c04>] cpu_startup_entry+0x1f4/0x240
[    8.729658] [<fffffc000809cefc>] secondary_start_kernel+0x17c/0x1d0
[    8.735903] [<000000400029085c>] 0x400029085c
[    8.740246] Kernel Offset: disabled
[    8.743726] Memory Limit: none
[    8.746776] ---[ end Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[    8.746776]

Expected results:

Get to the prompt.

Additional info:

I'm testing Fedora 24 kernels on Mustang Rev B0 using the latest TianoCore
that is provided by APM. If this is caused by the F/W, I'll contact them.

Comment 1 Hoan Tran 2016-08-06 05:57:55 UTC
This bug is the same with Redhat bug https://bugzilla.redhat.com/show_bug.cgi?id=1351826

With a new Tianocore UEFI image that enables PCCT table (so the PCC driver is loaded during boot). If the PPC communication channel cannot be found, the kernel will panic after that.

2 already accepted (and currently in linux-next) are required to fix this issue:

1./ ACPI / CPPC: Prevent cpc_desc_ptr points to the invalid data
http://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/acpi/cppc_acpi.c?id=2324d15447a9db168b1f85e3feac635b1ff8edb8

2./ ACPI: CPPC: Return error if _CPC is invalid on a CPU
http://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/acpi/cppc_acpi.c?id=8343c40d3de32ebfe8f48b043964e4ba0e7701f7

Comment 2 Itaru Kitayama 2016-08-06 23:49:16 UTC
Thanks for the update Hoan. I am not granted the access to the bug
entry, thus wonder if that is only dedicated to discuss RHEL kernel or
including Fedora's.

Comment 3 Hoan Tran 2016-08-08 16:40:44 UTC
Itaru, this bug is opened for Redhat only. We need the same fix for Fedora.

Comment 4 Itaru Kitayama 2016-08-09 03:02:20 UTC
OK. Then we need to keep this entry open until the new f24 kernel 
is released.

Comment 5 Peter Robinson 2016-08-31 12:35:14 UTC
So the 4.7.2-201 kernel is in updates-testing for F-24. Please test

"dnf upgrade --enablerepo=updates-testing kernel*"

Comment 6 Itaru Kitayama 2016-08-31 12:58:32 UTC
4.7.2-201 does not seem to work with the latest F/W yet.

EFI stub: Booting Linux Kernel...
EFI stub: Using DTB from configuration table
EFI stub: Exiting boot services and installing virtual address map...
L3C: 8MB
[    0.000000] Booting Linux on physical CPU 0x0
[    0.000000] Linux version 4.7.2-201.fc24.aarch64 (mockbuild@aarch64-04a.arm.fedoraproject.org) (gcc version 6.1.1 20160621 (Red Hat 6.1.1-3) (GCC) ) #1 SMP Tue Aug 30 08:26:32 UTC 2016
[    0.000000] Boot CPU: AArch64 Processor [500f0000]
[    0.000000] earlycon: uart0 at MMIO32 0x000000001c020000 (options '')
[    0.000000] bootconsole [uart0] enabled
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] efi:   System Table: 0x00000043ffa29f18
[    0.000000] efi:   MemMap Address: 0x00000043f81eb818
[    0.000000] efi:   MemMap Size: 0x000006f0
[    0.000000] efi:   MemMap Desc. Size: 0x00000030
[    0.000000] efi:   MemMap Desc. Version: 0x00000001
[    0.000000] efi: EFI v2.40 by X-Gene Mustang Board EFI May 23 2016 13:20:24
[    0.000000] efi:  ACPI=0x43fa83b000  ACPI 2.0=0x43fa83b014  SMBIOS 3.0=0x43fa839000  ESRT=0x43ff06fd18
[    0.000000] efi: Processing EFI memory map:
[    0.000000] efi:   0x000010510000-0x000010510fff [Memory Mapped I/O  |RUN|  |  |  |  |  |  |   |  |  |  |  ]
[    0.000000] efi:   0x000010548000-0x000010549fff [Memory Mapped I/O  |RUN|  |  |  |  |  |  |   |  |  |  |  ]
[    0.000000] efi:   0x000017000000-0x000017001fff [Memory Mapped I/O  |RUN|  |  |  |  |  |  |   |  |  |  |  ]
[    0.000000] efi:   0x00001c025000-0x00001c025fff [Memory Mapped I/O  |RUN|  |  |  |  |  |  |   |  |  |  |  ]
[    0.000000] efi:   0x004000000000-0x0040001fffff [Reserved           |   |  |  |  |  |  |  |   |WB|WT|WC|UC]*
[    0.000000] efi:   0x004000200000-0x0040011dffff [Loader Data        |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0040011e0000-0x00401fdfffff [Conventional Memory|   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x00401fe00000-0x00401fe0ffff [Loader Data        |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x00401fe10000-0x004393ffffff [Conventional Memory|   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x004394000000-0x0043f7ffffff [Loader Data        |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043f8000000-0x0043f801ffff [Boot Data          |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043f8020000-0x0043f81eafff [Conventional Memory|   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043f81eb000-0x0043fa620fff [Loader Data        |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043fa621000-0x0043fa6ecfff [Loader Code        |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043fa6ed000-0x0043fa7edfff [Boot Code          |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043fa7ee000-0x0043fa7f3fff [Runtime Code       |RUN|  |  |  |  |  |  |   |WB|WT|WC|UC]*
[    0.000000] efi:   0x0043fa7f4000-0x0043fa825fff [Reserved           |   |  |  |  |  |  |  |   |WB|WT|WC|UC]*
[    0.000000] efi:   0x0043fa826000-0x0043fa82ffff [ACPI Reclaim Memory|   |  |  |  |  |  |  |   |WB|WT|WC|UC]*
[    0.000000] efi:   0x0043fa830000-0x0043fa830fff [ACPI Memory NVS    |   |  |  |  |  |  |  |   |WB|WT|WC|UC]*
[    0.000000] efi:   0x0043fa831000-0x0043fa837fff [ACPI Reclaim Memory|   |  |  |  |  |  |  |   |WB|WT|WC|UC]*
[    0.000000] efi:   0x0043fa838000-0x0043fa839fff [Reserved           |   |  |  |  |  |  |  |   |WB|WT|WC|UC]*
[    0.000000] efi:   0x0043fa83a000-0x0043fa83bfff [ACPI Reclaim Memory|   |  |  |  |  |  |  |   |WB|WT|WC|UC]*
[    0.000000] efi:   0x0043fa83c000-0x0043faa1ffff [Runtime Data       |RUN|  |  |  |  |  |  |   |WB|WT|WC|UC]*
[    0.000000] efi:   0x0043faa20000-0x0043fc306fff [Conventional Memory|   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043fc307000-0x0043fc7f3fff [Boot Data          |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043fc7f4000-0x0043fca6afff [Conventional Memory|   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043fca6b000-0x0043fcf0dfff [Boot Data          |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043fcf0e000-0x0043fcf0ffff [Conventional Memory|   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043fcf10000-0x0043fd1fefff [Boot Data          |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043fd1ff000-0x0043fd2fffff [Conventional Memory|   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043fd300000-0x0043fd31dfff [Loader Data        |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043fd31e000-0x0043ff853fff [Boot Data          |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043ff854000-0x0043ff855fff [Conventional Memory|   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043ff856000-0x0043ff9e3fff [Boot Code          |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] efi:   0x0043ff9e4000-0x0043ff9f7fff [Runtime Code       |RUN|  |  |  |  |  |  |   |WB|WT|WC|UC]*
[    0.000000] efi:   0x0043ff9f8000-0x0043ffa29fff [Runtime Data       |RUN|  |  |  |  |  |  |   |WB|WT|WC|UC]*
[    0.000000] efi:   0x0043ffa2a000-0x0043ffffffff [Boot Data          |   |  |  |  |  |  |  |   |WB|WT|WC|UC]
[    0.000000] cma: Reserved 512 MiB at 0x00000040e0000000
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000043FA83B014 000024 (v02 APM   )
[    0.000000] ACPI: XSDT 0x00000043FA83A0E8 000084 (v01 APM    XGENE    00000003      01000013)
[    0.000000] ACPI: FACP 0x00000043FA831000 00010C (v05 APM    XGENE    00000003 INTL 20140724)
[    0.000000] ACPI: DSDT 0x00000043FA832000 00474E (v05 APM    APM88xxx 00000001 INTL 20140724)
[    0.000000] ACPI: DBG2 0x00000043FA837000 0000AA (v00 APMC0D XGENEDBG 00000000 INTL 20140724)
[    0.000000] ACPI: GTDT 0x00000043FA82F000 0000E0 (v02 APM    XGENE    00000001 INTL 20140724)
[    0.000000] ACPI: MCFG 0x00000043FA82E000 00003C (v01 APM    XGENE    00000002 INTL 20140724)
[    0.000000] ACPI: SPCR 0x00000043FA82D000 000050 (v02 APMC0D XGENESPC 00000000 INTL 20140724)
[    0.000000] ACPI: SSDT 0x00000043FA82C000 00002D (v02 APM    XGENE    00000001 INTL 20140724)
[    0.000000] ACPI: BERT 0x00000043FA82B000 000030 (v01 APM    XGENE    00000002 INTL 20140724)
[    0.000000] ACPI: HEST 0x00000043FA82A000 0002A8 (v01 APM    XGENE    00000002 INTL 20140724)
[    0.000000] ACPI: APIC 0x00000043FA829000 0002A4 (v03 APM    XGENE    00000003      01000013)
[    0.000000] ACPI: SSDT 0x00000043FA828000 000063 (v02 REDHAT MACADDRS 00000001      01000013)
[    0.000000] ACPI: SSDT 0x00000043FA827000 000032 (v02 REDHAT UARTCLKS 00000001      01000013)
[    0.000000] ACPI: PCCT 0x00000043FA826000 000300 (v01 APM    XGENE    00000003      01000013)
[    0.000000] On node 0 totalpages: 262144
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 0 pages reserved
[    0.000000]   DMA zone: 65536 pages, LIFO batch:1
[    0.000000]   Normal zone: 192 pages used for memmap
[    0.000000]   Normal zone: 196608 pages, LIFO batch:1
[    0.000000] psci: is not implemented in ACPI.
[    0.000000] percpu: Embedded 3 pages/cpu @fffffe03ffe10000 s108184 r8192 d80232 u196608
[    0.000000] pcpu-alloc: s108184 r8192 d80232 u196608 alloc=3*65536
[    0.000000] pcpu-alloc: [0] 0 [0] 1 [0] 2 [0] 3 [0] 4 [0] 5 [0] 6 [0] 7
[    0.000000] Detected PIPT I-cache on CPU0
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 261888
[    0.000000] Kernel command line: BOOT_IMAGE=/vmlinuz-4.7.2-201.fc24.aarch64 root=UUID=ac9f9264-7572-48c3-97d2-042ea95f7640 ro earlycon=uart,mmio32,0x1c020000 console=ttyS0,115200 loglevel=8 efi=debug acpi=force LANG=en_US.UTF-8
[    0.000000] PID hash table entries: 4096 (order: -1, 32768 bytes)
[    0.000000] Dentry cache hash table entries: 2097152 (order: 8, 16777216 bytes)
[    0.000000] Inode-cache hash table entries: 1048576 (order: 7, 8388608 bytes)
[    0.000000] software IO TLB [mem 0x40dbff0000-0x40dfff0000] (64MB) mapped at [fffffe00dbff0000-fffffe00dffeffff]
[    0.000000] Memory: 16102208K/16777216K available (7804K kernel code, 1291K rwdata, 3392K rodata, 1344K init, 1548K bss, 150720K reserved, 524288K cma-reserved)
[    0.000000] Virtual kernel memory layout:
[    0.000000]     modules : 0xfffffc0000000000 - 0xfffffc0008000000   (   128 MB)
[    0.000000]     vmalloc : 0xfffffc0008000000 - 0xfffffdff5fff0000   (  2045 GB)
[    0.000000]       .text : 0xfffffc0008080000 - 0xfffffc0008810000   (  7744 KB)
[    0.000000]     .rodata : 0xfffffc0008810000 - 0xfffffc0008b70000   (  3456 KB)
[    0.000000]       .init : 0xfffffc0008b70000 - 0xfffffc0008cc0000   (  1344 KB)
[    0.000000]       .data : 0xfffffc0008cc0000 - 0xfffffc0008e02e00   (  1292 KB)
[    0.000000]        .bss : 0xfffffc0008e02e00 - 0xfffffc0008f85f8c   (  1549 KB)
[    0.000000]     fixed   : 0xfffffdff7e7d0000 - 0xfffffdff7ec00000   (  4288 KB)
[    0.000000]     PCI I/O : 0xfffffdff7ee00000 - 0xfffffdff7fe00000   (    16 MB)
[    0.000000]     vmemmap : 0xfffffdff80000000 - 0xfffffe0000000000   (     2 GB maximum)
[    0.000000]               0xfffffdff80000000 - 0xfffffdff81000000   (    16 MB actual)
[    0.000000]     memory  : 0xfffffe0000000000 - 0xfffffe0400000000   ( 16384 MB)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	Build-time adjustment of leaf fanout to 64.
[    0.000000] NR_IRQS:64 nr_irqs:64 0
[    0.000000] GIC: Using split EOI/Deactivate mode
[    0.000000] GICv3: No distributor detected at @fffffc0008060000, giving up
[    0.000000] Architected cp15 timer(s) running at 50.00MHz (phys).
[    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff max_cycles: 0xb8812736b, max_idle_ns: 440795202655 ns
[    0.000002] sched_clock: 56 bits at 50MHz, resolution 20ns, wraps every 4398046511100ns
[    0.008215] Console: colour dummy device 80x25
[    0.012786] Calibrating delay loop (skipped), value calculated using timer frequency.. 100.00 BogoMIPS (lpj=50000)
[    0.023388] pid_max: default: 32768 minimum: 301
[    0.028143] ACPI: Core revision 20160422
[    0.036343] ACPI: 4 ACPI AML tables successfully acquired and loaded
[    0.042850]
[    0.044408] Security Framework initialized
[    0.048590] Yama: becoming mindful.
[    0.052161] SELinux:  Initializing.
[    0.055807] SELinux:  Starting in permissive mode
[    0.060717] Mount-cache hash table entries: 32768 (order: 2, 262144 bytes)
[    0.067748] Mountpoint-cache hash table entries: 32768 (order: 2, 262144 bytes)
[    0.075622] ftrace: allocating 27946 entries in 7 pages
[    0.140879] ASID allocator initialised with 65536 entries
[    0.147157] Remapping and enabling EFI services.
[    0.151884]   EFI remap 0x0000000010510000 => 0000000020000000
[    0.157855]   EFI remap 0x0000000010548000 => 0000000020018000
[    0.163797]   EFI remap 0x0000000017000000 => 0000000020020000
[    0.169747]   EFI remap 0x000000001c025000 => 0000000020035000
[    0.175739] UEFI Runtime regions are not aligned to 64 KB -- buggy firmware?
[    0.182821] ------------[ cut here ]------------
[    0.187746] WARNING: CPU: 0 PID: 1 at arch/arm64/kernel/efi.c:34 efi_create_mapping+0x54/0xe8
[    0.196430] Modules linked in:
[    0.199525]
[    0.201075] CPU: 0 PID: 1 Comm: swapper/0 Not tainted 4.7.2-201.fc24.aarch64 #1
[    0.208542] Hardware name: APM X-Gene Mustang board (DT)
[    0.214022] task: fffffe03dc100000 ti: fffffe03dc180000 task.ti: fffffe03dc180000
[    0.221757] PC is at efi_create_mapping+0x54/0xe8
[    0.226572] LR is at efi_create_mapping+0x54/0xe8
[    0.231378] pc : [<fffffc0008b74a9c>] lr : [<fffffc0008b74a9c>] pstate: 60000045
[    0.238905] sp : fffffe03dc183d40
[    0.242267] x29: fffffe03dc183d40 x28: 0000000000000000
[    0.247686] x27: 0000000000000000 x26: 0000000000000000
[    0.253201] x25: fffffc0008dab098 x24: 0000000000000000
[    0.258654] x23: fffffc0008dab098 x22: fffffc0008ad53b8
[    0.264168] x21: fffffc0008dab098 x20: fffffe03f81ebae8
[    0.269622] x19: 00c8000000000713 x18: 0000000000000010
[    0.275093] x17: 0000000000000007 x16: 0000000000000000
[    0.280563] x15: 0000000000000006 x14: fffffc0088e3419f
[    0.286017] x13: fffffc0008e341ad x12: 2d2d20424b203436
[    0.291453] x11: 206f742064656e67 x10: 0000000005f5e0ff
[    0.296881] x9 : fffffe03dc183b20 x8 : 6620796767756220
[    0.302326] x7 : 2d2d20424b203436 x6 : fffffc0008e341ef
[    0.307805] x5 : 0000000000000006 x4 : fffffc0008bab054
[    0.313181] x3 : 0000000000000000 x2 : 0000000000000000
[    0.318661] x1 : 0000000000000040 x0 : 0000000000000040
[    0.324123]
[    0.325656] ---[ end trace 4c68a5405c76d1b2 ]---
[    0.330375] Call trace:
[    0.332909] Exception stack(0xfffffe03dc183b70 to 0xfffffe03dc183ca0)
[    0.339470] 3b60:                                   00c8000000000713 0000040000000000
[    0.347490] 3b80: fffffe03dc183d40 fffffc0008b74a9c fffffc0008a44268 0000000008d14070
[    0.355450] 3ba0: fffffe03dc183c40 fffffc0008119984 fffffe03dc183ca0 fffffc0008a392f8
[    0.363478] 3bc0: fffffc0008dab098 fffffc0008ad53b8 fffffc0008dab098 0000000000000000
[    0.371490] 3be0: fffffc0008dab098 0000000000000000 0000000000000000 0000000000000000
[    0.379545] 3c00: 0000000000000000 fffffc0008e365d0 0000000000000040 0000000000000040
[    0.387582] 3c20: 0000000000000000 0000000000000000 fffffc0008bab054 0000000000000006
[    0.395671] 3c40: fffffc0008e341ef 2d2d20424b203436 6620796767756220 fffffe03dc183b20
[    0.403709] 3c60: 0000000005f5e0ff 206f742064656e67 2d2d20424b203436 fffffc0008e341ad
[    0.411789] 3c80: fffffc0088e3419f 0000000000000006 0000000000000000 0000000000000007
[    0.419862] [<fffffc0008b74a9c>] efi_create_mapping+0x54/0xe8
[    0.425715] [<fffffc0008bb6328>] arm_enable_runtime_services+0x10c/0x1f0
[    0.432578] [<fffffc0008081a2c>] do_one_initcall+0x44/0x138
[    0.438318] [<fffffc0008b70c60>] kernel_init_freeable+0xe8/0x24c
[    0.444500] [<fffffc00087fcc88>] kernel_init+0x20/0xf8
[    0.449755] [<fffffc0008084b80>] ret_from_fork+0x10/0x50
[    0.455206]   EFI remap 0x00000043fa7ee000 => 000000002004e000
[    0.461200]   EFI remap 0x00000043fa83c000 => 000000002006c000
[    0.467194]   EFI remap 0x00000043ff9e4000 => 0000000020254000
[    0.473195]   EFI remap 0x00000043ff9f8000 => 0000000020268000
[    0.479173] dmi check: not initialized yet.
[    0.483520] ------------[ cut here ]------------
[    0.488259] WARNING: CPU: 0 PID: 1 at drivers/firmware/dmi_scan.c:762 dmi_matches+0x104/0x110
[    0.496969] Modules linked in:
[    0.500133]
[    0.501639] CPU: 0 PID: 1 Comm: swapper/0 Tainted: G        W       4.7.2-201.fc24.aarch64 #1
[    0.510375] Hardware name: APM X-Gene Mustang board (DT)
[    0.515846] task: fffffe03dc100000 ti: fffffe03dc180000 task.ti: fffffe03dc180000
[    0.523538] PC is at dmi_matches+0x104/0x110
[    0.527963] LR is at dmi_matches+0x104/0x110
[    0.532354] pc : [<fffffc0008679dd4>] lr : [<fffffc0008679dd4>] pstate: 60000045
[    0.539950] sp : fffffe03dc183dd0
[    0.543321] x29: fffffe03dc183dd0 x28: 0000000000000000
[    0.548775] x27: 0000000000000000 x26: 0000000000000000
[    0.554203] x25: 0000000000000000 x24: 0000000000000000
[    0.559631] x23: 0000000000000000 x22: 0000000000000000
[    0.565102] x21: fffffc000884c450 x20: 0000000000000000
[    0.570564] x19: fffffc0008f75000 x18: 0000000000000010
[    0.576053] x17: 0000000000000007 x16: 0000000000000000
[    0.581498] x15: 0000000000000006 x14: fffffc0088e3419f
[    0.586977] x13: fffffc0008e341ad x12: 2d2d20424b203436
[    0.592439] x11: 00000000000000b2 x10: 0000000005f5e0ff
[    0.597867] x9 : fffffe03dc183b10 x8 : 7a696c616974696e
[    0.603304] x7 : 6920746f6e203a6b x6 : fffffc0008e341ce
[    0.608758] x5 : 0000000000000006 x4 : fffffc0008bab054
[    0.614246] x3 : 0000000000000000 x2 : 0000000000000000
[    0.619673] x1 : fffffc0008d14088 x0 : 000000000000001f
[    0.625187]
[    0.626727] ---[ end trace 4c68a5405c76d1b3 ]---
[    0.631497] Call trace:
[    0.633979] Exception stack(0xfffffe03dc183c00 to 0xfffffe03dc183d30)
[    0.640583] 3c00: fffffc0008f75000 0000040000000000 fffffe03dc183dd0 fffffc0008679dd4
[    0.648603] 3c20: fffffc0008a44268 0000000008d14070 fffffe03dc183cd0 fffffc0008119984
[    0.656675] 3c40: fffffe03dc183d30 fffffc0008ad3968 fffffc000884c450 0000000000000000
[    0.664755] 3c60: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    0.672784] 3c80: 0000000000000000 0000000000000000 0000000000000000 fffffc0008e365d0
[    0.680847] 3ca0: 000000000000001f fffffc0008d14088 0000000000000000 0000000000000000
[    0.688850] 3cc0: fffffc0008bab054 0000000000000006 fffffc0008e341ce 6920746f6e203a6b
[    0.696922] 3ce0: 7a696c616974696e fffffe03dc183b10 0000000005f5e0ff 00000000000000b2
[    0.704925] 3d00: 2d2d20424b203436 fffffc0008e341ad fffffc0088e3419f 0000000000000006
[    0.712953] 3d20: 0000000000000000 0000000000000007
[    0.717932] [<fffffc0008679dd4>] dmi_matches+0x104/0x110
[    0.723386] [<fffffc0008679e10>] dmi_check_system+0x30/0x70
[    0.729093] [<fffffc0008b84850>] lockup_detector_init+0x1c/0x74
[    0.735177] [<fffffc0008b70c68>] kernel_init_freeable+0xf0/0x24c
[    0.741279] [<fffffc00087fcc88>] kernel_init+0x20/0xf8
[    0.746544] [<fffffc0008084b80>] ret_from_fork+0x10/0x50
[    0.751933] dmi check: not initialized yet.
[    0.756234] ------------[ cut here ]------------
[    0.761006] WARNING: CPU: 0 PID: 1 at drivers/firmware/dmi_scan.c:762 dmi_matches+0x104/0x110
[    0.769785] Modules linked in:
[    0.772906]
[    0.774438] CPU: 0 PID: 1 Comm: swapper/0 Tainted: G        W       4.7.2-201.fc24.aarch64 #1
[    0.783140] Hardware name: APM X-Gene Mustang board (DT)
[    0.788559] task: fffffe03dc100000 ti: fffffe03dc180000 task.ti: fffffe03dc180000
[    0.796285] PC is at dmi_matches+0x104/0x110
[    0.800607] LR is at dmi_matches+0x104/0x110
[    0.804946] pc : [<fffffc0008679dd4>] lr : [<fffffc0008679dd4>] pstate: 60000045
[    0.812559] sp : fffffe03dc183dd0
[    0.815956] x29: fffffe03dc183dd0 x28: 0000000000000000
[    0.821427] x27: 0000000000000000 x26: 0000000000000000
[    0.826881] x25: 0000000000000000 x24: 0000000000000000
[    0.832352] x23: 0000000000000000 x22: 0000000000000000
[    0.837840] x21: fffffc000884c5a8 x20: 0000000000000000
[    0.843302] x19: fffffc0008f75000 x18: 0000000000000010
[    0.848712] x17: 0000000000000007 x16: 0000000000000000
[    0.854149] x15: 0000000000000006 x14: fffffc0088e3419f
[    0.859585] x13: fffffc0008e341ad x12: 2d2d20424b203436
[    0.865047] x11: 00000000000000e1 x10: 0000000005f5e0ff
[    0.870527] x9 : fffffe03dc183b10 x8 : 7a696c616974696e
[    0.875989] x7 : 6920746f6e203a6b x6 : fffffc0008e341ce
[    0.881400] x5 : 0000000000000006 x4 : fffffc0008bab054
[    0.886880] x3 : 0000000000000000 x2 : 0000000000000000
[    0.892368] x1 : fffffc0008d14088 x0 : 000000000000001f
[    0.897839]
[    0.899361] ---[ end trace 4c68a5405c76d1b4 ]---
[    0.904114] Call trace:
[    0.906656] Exception stack(0xfffffe03dc183c00 to 0xfffffe03dc183d30)
[    0.913217] 3c00: fffffc0008f75000 0000040000000000 fffffe03dc183dd0 fffffc0008679dd4
[    0.921219] 3c20: fffffc0008a44268 0000000008d14070 fffffe03dc183cd0 fffffc0008119984
[    0.929230] 3c40: fffffe03dc183d30 fffffc0008ad3968 fffffc000884c5a8 0000000000000000
[    0.937259] 3c60: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    0.945262] 3c80: 0000000000000000 0000000000000000 0000000000000000 fffffc0008e365d0
[    0.953325] 3ca0: 000000000000001f fffffc0008d14088 0000000000000000 0000000000000000
[    0.961372] 3cc0: fffffc0008bab054 0000000000000006 fffffc0008e341ce 6920746f6e203a6b
[    0.969435] 3ce0: 7a696c616974696e fffffe03dc183b10 0000000005f5e0ff 00000000000000e1
[    0.977403] 3d00: 2d2d20424b203436 fffffc0008e341ad fffffc0088e3419f 0000000000000006
[    0.985414] 3d20: 0000000000000000 0000000000000007
[    0.990393] [<fffffc0008679dd4>] dmi_matches+0x104/0x110
[    0.995873] [<fffffc0008679e10>] dmi_check_system+0x30/0x70
[    1.001527] [<fffffc0008b84850>] lockup_detector_init+0x1c/0x74
[    1.007586] [<fffffc0008b70c68>] kernel_init_freeable+0xf0/0x24c
[    1.013731] [<fffffc00087fcc88>] kernel_init+0x20/0xf8
[    1.019012] [<fffffc0008084b80>] ret_from_fork+0x10/0x50
[    1.024748] Detected PIPT I-cache on CPU1
[    1.024772] CPU1: Booted secondary processor [500f0000]
[    1.024938] Detected PIPT I-cache on CPU2
[    1.024958] CPU2: Booted secondary processor [500f0000]
[    1.025126] Detected PIPT I-cache on CPU3
[    1.025137] CPU3: Booted secondary processor [500f0000]
[    1.025287] Detected PIPT I-cache on CPU4
[    1.025306] CPU4: Booted secondary processor [500f0000]
[    1.025464] Detected PIPT I-cache on CPU5
[    1.025475] CPU5: Booted secondary processor [500f0000]
[    1.025631] Detected PIPT I-cache on CPU6
[    1.025650] CPU6: Booted secondary processor [500f0000]
[    1.025810] Detected PIPT I-cache on CPU7
[    1.025821] CPU7: Booted secondary processor [500f0000]
[    1.025851] Brought up 8 CPUs
[    1.096769] SMP: Total of 8 processors activated.
[    1.101691] CPU features: detected feature: 32-bit EL0 Support
[    1.107823] CPU: All CPU(s) started at EL2
[    1.112737] devtmpfs: initialized
[    1.116500] SMBIOS 3.0.0 present.
[    1.120105] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    1.130683] atomic64_test: passed
[    1.134200] pinctrl core: initialized pinctrl subsystem
[    1.139991] NET: Registered protocol family 16
[    1.144901] Error parsing PCC subspaces from PCCT
[    1.149901] vdso: 2 pages (1 code @ fffffc0008830000, 1 data @ fffffc0008ce0000)
[    1.157598] hw-breakpoint: found 4 breakpoint and 4 watchpoint registers.
[    1.164969] DMA: preallocated 256 KiB pool for atomic allocations
[    1.171385] ACPI: bus type PCI registered
[    1.175618] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    1.182428] Serial: AMBA PL011 UART driver
[    1.193854] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    1.200475] HugeTLB registered 512 MB page size, pre-allocated 0 pages
[    1.207647] ACPI: Added _OSI(Module Device)
[    1.212047] ACPI: Added _OSI(Processor Device)
[    1.216684] ACPI: Added _OSI(3.0 _SCP Extensions)
[    1.221623] ACPI: Added _OSI(Processor Aggregator Device)
[    1.234715] ACPI: Interpreter enabled
[    1.238512] ACPI: Using GIC for interrupt routing
[    1.243445] ACPI: MCFG table detected, 1 entries
[    1.250780] ACPI: Power Resource [SCVR] (on)
[    1.271914] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    1.278403] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    1.287243] acpi PNP0A08:00: _OSC: OS now controls [PCIeHotplug PME AER PCIeCapability]
[    1.295659] acpi PNP0A08:00: ECAM at [mem 0xe0d0000000-0xe0d0ffffff] for [bus 00-ff]
[    1.303796] Remapped I/O 0x000000e010000000 to [io  0x0000-0xffff window]
[    1.311028] PCI host bridge to bus 0000:00
[    1.315289] pci_bus 0000:00: root bus resource [mem 0x1f2b0000-0x1f2bffff]
[    1.322519] pci_bus 0000:00: root bus resource [io  0x0000-0xffff window] (bus address [0x10000000-0x1000ffff])
[    1.333049] pci_bus 0000:00: root bus resource [mem 0xe040000000-0xe07fffffff window] (bus address [0x40000000-0x7fffffff])
[    1.344735] pci_bus 0000:00: root bus resource [mem 0xf000000000-0xffffffffff window]
[    1.352975] pci_bus 0000:00: root bus resource [bus 00-ff]
[    1.358740] pci 0000:00:00.0: [10e8:e004] type 01 class 0x060400
[    1.365119] pci 0000:00:00.0: supports D1 D2
[    1.369753] pci_bus 0000:00: on NUMA node 0
[    1.374161] pci 0000:00:00.0: PCI bridge to [bus 01]
[    1.380105] vgaarb: loaded
[    1.383031] SCSI subsystem initialized
[    1.387005] libata version 3.00 loaded.
[    1.390995] ACPI: bus type USB registered
[    1.395190] usbcore: registered new interface driver usbfs
[    1.400983] usbcore: registered new interface driver hub
[    1.406550] usbcore: registered new device driver usb
[    1.412251] NetLabel: Initializing
[    1.415830] NetLabel:  domain hash size = 128
[    1.420353] NetLabel:  protocols = UNLABELED CIPSOv4
[    1.425577] NetLabel:  unlabeled traffic allowed by default
[    1.431524] clocksource: Switched to clocksource arch_sys_counter
[    1.452578] VFS: Disk quotas dquot_6.6.0
[    1.456709] VFS: Dquot-cache hash table entries: 8192 (order 0, 65536 bytes)
[    1.464381] pnp: PnP ACPI init
[    1.468100] pnp: PnP ACPI: found 0 devices
[    1.475512] NET: Registered protocol family 2
[    1.480385] TCP established hash table entries: 131072 (order: 4, 1048576 bytes)
[    1.488501] TCP bind hash table entries: 65536 (order: 4, 1048576 bytes)
[    1.495867] TCP: Hash tables configured (established 131072 bind 65536)
[    1.502848] UDP hash table entries: 8192 (order: 2, 262144 bytes)
[    1.509376] UDP-Lite hash table entries: 8192 (order: 2, 262144 bytes)
[    1.516477] NET: Registered protocol family 1
[    1.521067] PCI: CLS 0 bytes, default 128
[    1.525385] Unpacking initramfs...
[    2.032865] Freeing initrd memory: 21056K (fffffe03f8200000 - fffffe03f9690000)
[    2.040674] kvm [1]: 8-bit VMID
[    2.043932] kvm [1]: Hyp mode initialized successfully
[    2.049303] kvm [1]: GICV physical address 0x780ef000 not page aligned
[    2.056170] kvm [1]: virtual timer IRQ4
[    2.060472] alg: No test for __ecb-aes-neon (__driver-ecb-aes-neon)
[    2.070239] alg: No test for __ecb-aes-neon (cryptd(__driver-ecb-aes-neon))
[    2.078568] futex hash table entries: 2048 (order: 2, 262144 bytes)
[    2.085108] audit: initializing netlink subsys (disabled)
[    2.090787] audit: type=2000 audit(0.802:1): initialized
[    2.096517] Initialise system trusted keyrings
[    2.101324] workingset: timestamp_bits=44 max_order=18 bucket_order=0
[    2.111183] zbud: loaded
[    2.114610] Key type big_key registered
[    2.118629] SELinux:  Registering netfilter hooks
[    2.202341] NET: Registered protocol family 38
[    2.207003] Key type asymmetric registered
[    2.211235] Asymmetric key parser 'x509' registered
[    2.216413] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 250)
[    2.224130] io scheduler noop registered
[    2.228257] io scheduler deadline registered
[    2.232732] io scheduler cfq registered (default)
[    2.238054] xgene-gpio APMC0D14:00: X-Gene GPIO driver registered.
[    2.244639] genirq: Setting trigger mode 8 for irq 82 failed (gic_set_type+0x0/0x68)
[    2.252896] aer 0000:00:00.0:pcie002: service driver aer loaded
[    2.259063] pcieport 0000:00:00.0: Signaling PME through PCIe PME interrupt
[    2.266365] pcie_pme 0000:00:00.0:pcie001: service driver pcie_pme loaded
[    2.273427] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    2.279281] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    2.286368] (NULL device *): Channel not found for idx: 2
[    2.292019] ACPI CPPC: Failed to find PCC communication channel
[    2.298304] (NULL device *): Channel not found for idx: 2
[    2.304005] ACPI CPPC: Failed to find PCC communication channel
[    2.310190] (NULL device *): Channel not found for idx: 2
[    2.315786] ACPI CPPC: Failed to find PCC communication channel
[    2.321977] (NULL device *): Channel not found for idx: 2
[    2.327607] ACPI CPPC: Failed to find PCC communication channel
[    2.333802] (NULL device *): Channel not found for idx: 2
[    2.339484] ACPI CPPC: Failed to find PCC communication channel
[    2.345650] (NULL device *): Channel not found for idx: 2
[    2.351271] ACPI CPPC: Failed to find PCC communication channel
[    2.357481] (NULL device *): Channel not found for idx: 2
[    2.363122] ACPI CPPC: Failed to find PCC communication channel
[    2.369290] (NULL device *): Channel not found for idx: 2
[    2.374936] ACPI CPPC: Failed to find PCC communication channel
[    2.381423] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[    2.390504] console [ttyS0] disabled
[    2.414383] APMC0D08:00: ttyS0 at MMIO 0x1c020000 (irq = 21, base_baud = 3125000) is a U6_16550A
[    2.423585] console [ttyS0] enabled
[    2.423585] console [ttyS0] enabled
[    2.430743] bootconsole [uart0] disabled
[    2.430743] bootconsole [uart0] disabled
[    2.459051] APMC0D08:01: ttyS1 at MMIO 0x1c021000 (irq = 22, base_baud = 3125000) is a U6_16550A
[    2.468035] msm_serial: driver initialized
[    2.472364] Failed to find cpu0 device node
[    2.476532] Unable to detect cache hierarchy from DT for CPU 0
[    2.482605] xgene-ahci APMC0D0D:00: skip clock and PHY initialization
[    2.489021] xgene-ahci APMC0D0D:00: controller can't do NCQ, turning off CAP_NCQ
[    2.496400] xgene-ahci APMC0D0D:00: AHCI 0001.0300 32 slots 2 ports 6 Gbps 0x3 impl platform mode
[    2.505231] xgene-ahci APMC0D0D:00: flags: 64bit sntf pm only pmp fbs pio slum part ccc apst boh
[    2.514066] xgene-ahci APMC0D0D:00: port 0 is not capable of FBS
[    2.520149] xgene-ahci APMC0D0D:00: port 1 is not capable of FBS
[    2.526529] scsi host0: xgene-ahci
[    2.530073] scsi host1: xgene-ahci
[    2.533545] ata1: SATA max UDMA/133 mmio [mem 0x1a400000-0x1a400fff] port 0x100 irq 26
[    2.541425] ata2: SATA max UDMA/133 mmio [mem 0x1a400000-0x1a400fff] port 0x180 irq 26
[    2.549378] xgene-ahci APMC0D0D:01: skip clock and PHY initialization
[    2.555795] xgene-ahci APMC0D0D:01: controller can't do NCQ, turning off CAP_NCQ
[    2.563170] xgene-ahci APMC0D0D:01: AHCI 0001.0300 32 slots 2 ports 6 Gbps 0x3 impl platform mode
[    2.572005] xgene-ahci APMC0D0D:01: flags: 64bit sntf pm only pmp fbs pio slum part ccc apst boh
[    2.580837] xgene-ahci APMC0D0D:01: port 0 is not capable of FBS
[    2.586842] xgene-ahci APMC0D0D:01: port 1 is not capable of FBS
[    2.593202] scsi host2: xgene-ahci
[    2.596729] scsi host3: xgene-ahci
[    2.600200] ata3: SATA max UDMA/133 mmio [mem 0x1a800000-0x1a800fff] port 0x100 irq 27
[    2.608080] ata4: SATA max UDMA/133 mmio [mem 0x1a800000-0x1a800fff] port 0x180 irq 27
[    2.616088] libphy: Fixed MDIO Bus: probed
[    2.620272] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    2.626778] ehci-pci: EHCI PCI platform driver
[    2.631220] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    2.637374] ohci-pci: OHCI PCI platform driver
[    2.641810] uhci_hcd: USB Universal Host Controller Interface driver
[    2.648209] usbcore: registered new interface driver usbserial
[    2.654030] usbcore: registered new interface driver usbserial_generic
[    2.660536] usbserial: USB Serial support registered for generic
[    2.666601] mousedev: PS/2 mouse device common for all mice
[    2.672413] rtc-efi rtc-efi: rtc core: registered rtc-efi as rtc0
[    2.678695] device-mapper: uevent: version 1.0.3
[    2.683419] device-mapper: ioctl: 4.34.0-ioctl (2015-10-28) initialised: dm-devel@redhat.com
[    2.691982] EFI Variables Facility v0.08 2004-May-17
[    2.697148] hidraw: raw HID events driver (C) Jiri Kosina
[    2.702594] usbcore: registered new interface driver usbhid
[    2.708141] usbhid: USB HID core driver
[    2.712190] drop_monitor: Initializing network drop monitor service
[    2.718527] ip_tables: (C) 2000-2006 Netfilter Core Team
[    2.723844] Initializing XFRM netlink socket
[    2.728330] NET: Registered protocol family 10
[    2.733094] mip6: Mobile IPv6
[    2.736061] NET: Registered protocol family 17
[    2.740756] registered taskstats version 1
[    2.744845] Loading compiled-in X.509 certificates
[    2.752315] alg: No test for pkcs1pad(rsa,sha256) (pkcs1pad(rsa-generic,sha256))
[    2.761102] Loaded X.509 cert 'Fedora kernel signing key: d12a036bdb6a99244a6d66ba8e68a9811a4e963d'
[    2.770153] zswap: loaded using pool lzo/zbud
[    2.794356] rtc-efi rtc-efi: setting system clock to 2016-08-31 12:55:51 UTC (1472648151)
[    2.802555] ------------[ cut here ]------------
[    2.807147] kernel BUG at drivers/acpi/osl.c:708!
[    2.811827] Internal error: Oops - BUG: 0 [#1] SMP
[    2.816593] Modules linked in:
[    2.819643] CPU: 3 PID: 1 Comm: swapper/0 Tainted: G        W       4.7.2-201.fc24.aarch64 #1
[    2.828123] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.05-rc May 23 2016
[    2.838072] task: fffffe03dc100000 ti: fffffe03dc180000 task.ti: fffffe03dc180000
[    2.845518] PC is at acpi_os_read_memory+0x98/0x120
[    2.850369] LR is at acpi_os_read_memory+0x70/0x120
[    2.851587] ata1: SATA link down (SStatus 0 SControl 4300)
[    2.851605] ata2: SATA link down (SStatus 0 SControl 4300)
[    2.866128] pc : [<fffffc0008478ff8>] lr : [<fffffc0008478fd0>] pstate: 80000145
[    2.873483] sp : fffffe03dc183b70
[    2.876778] x29: fffffe03dc183b70 x28: fffffe001475b600
[    2.882080] x27: 0000000000000001 x26: fffffc0008cf1000
[    2.887382] x25: fffffc0008f758d8 x24: fffffc0008cf2000
[    2.892684] x23: fffffc0008c78000 x22: 0000000000000000
[    2.897985] x21: 00000000000001ff x20: 0000000000000003
[    2.903288] x19: fffffe03dc183c00 x18: 0000000000000000
[    2.908590] x17: 0000000000000007 x16: 0000000000000000
[    2.913891] x15: ffffffffffffffff x14: fffffe001475bf88 [    2.918641] ata4: SATA link down (SStatus 0 SControl 4300)

[    2.924464]
[    2.926128] x13: fffffe001475bf87 x12: 0000000000000000
[    2.931429] x11: 0101010101010101 x10: 0000000000000000
[    2.936732] x9 : 0000000000000001 x8 : fffffc0008d2c740
[    2.942035] x7 : fffffc0008de28f5 x6 : 000003fff6b40000
[    2.947337] x5 : fffffe03fffe4a68 x4 : fffffe0014753518
[    2.952639] x3 : fffffc0008cf32b0 x2 : 0000000000000001
[    2.957941] x1 : fffffe03dc183ba8 x0 : fffffc00094c01ff
[    2.963244]
[    2.964724] Process swapper/0 (pid: 1, stack limit = 0xfffffe03dc180020)
[    2.971390] Stack: (0xfffffe03dc183b70 to 0xfffffe03dc184000)
[    2.977106] 3b60:                                   fffffe03dc183bb0 fffffc00084acfec
[    2.984894] 3b80: fffffe03dc183c00 fffffe03dcdc3a18 fffffc0008f69000 fffffe001475b484
[    2.992683] 3ba0: fffffe03dc183c50 fffffc00086744a4 fffffe03dc183bd0 fffffc00084ad0b8
[    3.000471] 3bc0: fffffe03dcdc3a00 fffffe001475b480 fffffe03dc183c20 fffffc000867793c
[    3.008259] 3be0: fffffe03d4294600 fffffe001475b480 0000000000000000 0000000000000000
[    3.016047] 3c00: 0000000000000000 00000000ffffffe0 fffffe03dc183c50 fffffe03dc183c50
[    3.023835] 3c20: fffffe03dc183c50 fffffc0008673ff4 fffffe03d4294600 fffffc0008f75000
[    3.031624] 3c40: 0000000000000000 fffffc0008dff000 fffffe03dc183cc0 fffffc0008674800
[    3.039412] 3c60: 0000000000000000 0000000000000001 fffffc0008f75000 fffffc0008dff000
[    3.047200] 3c80: fffffc0008da99c0 fffffc0008da9000 0000000000000040 00000000024000c0
[    3.054988] 3ca0: 00000000024080c0 fffffe001475b600 fffffe03dc183d18 fffffc0008d93928
[    3.062776] 3cc0: fffffe03dc183cf0 fffffc0008522fe4 fffffc0008da9a40 fffffc0008d93928
[    3.070564] 3ce0: fffffc0008f75000 fffffc00080c2018 fffffe03dc183d30 fffffc0008672958
[    3.078352] 3d00: fffffc0008daa270 fffffc0008f759f8 fffffe03dc183d30 fffffe03ffdec2a8
[    3.086140] 3d20: fffffe03dc992468 0000000000000000 fffffe03dc183d70 fffffc0008bb2e50
[    3.093928] 3d40: fffffc0008cf0000 fffffc0008f75000 fffffc0008cf1000 0000000000000008
[    3.101717] 3d60: fffffc0008f2b6c8 fffffc0008cf1d94 fffffe03dc183dd0 fffffc0008081a2c
[    3.109505] 3d80: fffffc0008bb2d18 fffffe03dc180000 0000000000000000 0000000000000007
[    3.117293] 3da0: fffffc0008e30000 fffffc0008b70460 fffffc0008b57b90 fffffc0008bcb070
[    3.125081] 3dc0: fffffc0008c57b78 0000000000000000 fffffe03dc183e40 fffffc0008b70d24
[    3.132869] 3de0: 00000000000000ee fffffc0008e30000 fffffc0008bcb078 0000000000000007
[    3.140657] 3e00: fffffc0008c57a00 0000000000000000 fffffc0008d0ce88 fffffc0008a3feb8
[    3.148445] 3e20: 0000000000000000 0000000700000007 fffffc0008b70460 fffffc0008b57b90
[    3.156233] 3e40: fffffe03dc183ea0 fffffc00087fcc88 fffffc0008e30000 fffffc0008e30000
[    3.164021] 3e60: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.171809] 3e80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.179597] 3ea0: 0000000000000000 fffffc0008084b80 fffffc00087fcc68 0000000000000000
[    3.187386] 3ec0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.195174] 3ee0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.202961] 3f00: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.210749] 3f20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.218537] 3f40: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.224530] ata3: SATA link up 6.0 Gbps (SStatus 133 SControl 4300)
[    3.225738] ata3.00: ATA-8: ST500DM002-1BD142, KC48, max UDMA/133
[    3.225740] ata3.00: 976773168 sectors, multi 0: LBA48 NCQ (depth 0/32)
[    3.227240] ata3.00: configured for UDMA/133
[    3.227498] scsi 2:0:0:0: Direct-Access     ATA      ST500DM002-1BD14 KC48 PQ: 0 ANSI: 5
[    3.257484] 3f60: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.265272] 3f80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.273060] 3fa0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.280848] 3fc0: 0000000000000000 0000000000000005 0000000000000000 0000000000000000
[    3.288636] 3fe0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    3.296424] Call trace:
[    3.298855] Exception stack(0xfffffe03dc1839a0 to 0xfffffe03dc183ad0)
[    3.305261] 39a0: fffffe03dc183c00 0000040000000000 fffffe03dc183b70 fffffc0008478ff8
[    3.313049] 39c0: fffffe001475c100 fffffe001475c118 fffffdff5fff0000 00000000024000c0
[    3.320838] 39e0: fffffe03dc183a00 fffffc0008209708 fffffe001475c100 fffffc0008000000
[    3.328626] 3a00: fffffe03dc183a80 fffffc0008209810 0000000000010000 fffffe001475c080
[    3.336414] 3a20: fffffe03dc183a40 fffffc0008207d78 fffffe001475c100 fffffc0008000000
[    3.344202] 3a40: fffffc00094c01ff fffffe03dc183ba8 0000000000000001 fffffc0008cf32b0
[    3.351990] 3a60: fffffe0014753518 fffffe03fffe4a68 000003fff6b40000 fffffc0008de28f5
[    3.359778] 3a80: fffffc0008d2c740 0000000000000001 0000000000000000 0101010101010101
[    3.367566] 3aa0: 0000000000000000 fffffe001475bf87 fffffe001475bf88 ffffffffffffffff
[    3.375354] 3ac0: 0000000000000000 0000000000000007
[    3.380206] [<fffffc0008478ff8>] acpi_os_read_memory+0x98/0x120
[    3.386095] [<fffffc00084acfec>] cpc_read+0xdc/0xe4
[    3.390946] [<fffffc00084ad0b8>] cppc_get_perf_caps+0xc4/0x15c
[    3.396750] [<fffffc000867793c>] cppc_cpufreq_cpu_init+0x3c/0x168
[    3.402812] [<fffffc0008673ff4>] cpufreq_online+0x10c/0x7d0
[    3.408354] [<fffffc0008674800>] cpufreq_add_dev+0xd0/0x110
[    3.413897] [<fffffc0008522fe4>] subsys_interface_register+0x84/0xc0
[    3.420217] [<fffffc0008672958>] cpufreq_register_driver+0x178/0x228
[    3.426538] [<fffffc0008bb2e50>] cppc_cpufreq_init+0x138/0x1a0
[    3.432341] [<fffffc0008081a2c>] do_one_initcall+0x44/0x138
[    3.437883] [<fffffc0008b70d24>] kernel_init_freeable+0x1ac/0x24c
[    3.443945] [<fffffc00087fcc88>] kernel_init+0x20/0xf8
[    3.449055] [<fffffc0008084b80>] ret_from_fork+0x10/0x50
[    3.454339] Code: 54000380 54000108 7100229f 540001c0 (d4210000)
[    3.460414] ---[ end trace 4c68a5405c76d1b6 ]---
[    3.465038] Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[    3.465038]
[    3.474125] SMP: stopping secondary CPUs
[    3.478027] Kernel Offset: disabled
[    3.481495] Memory Limit: none
[    3.484532] ---[ end Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[    3.484532]

Comment 7 Peter Robinson 2016-08-31 13:24:34 UTC
Are you booting this with acpi=force on the kernel command line?

I don't see this on the 4.7.2-201 kernel booted with DT with firmware "build 01.15.22.00 2015/10/20"

What version are you using? 

The patches have landed upstream so you can use a 4.8rc4 kernel from F-25.

The person that submitted the patches didn't request stable branch [1][2] for the patches so I have no idea the potential impact of these on other ACPI platforms.

[1] http://www.spinics.net/lists/linux-acpi/msg66142.html
[2] http://www.spinics.net/lists/linux-acpi/msg66738.html

Comment 8 Itaru Kitayama 2016-09-01 01:04:18 UTC
Peter
Yes, I am booting the f24 kernel with acpi=force.

I went ahead and installed the f25 4.8rc4 kernel you built and it boots
fine with acpi=force.

Hoan from APM is in a far better position to mention as to what his backporting
plans are.

Comment 9 Hoan Tran 2016-09-01 04:07:31 UTC
(In reply to Peter Robinson from comment #7)
> Are you booting this with acpi=force on the kernel command line?
> 
> I don't see this on the 4.7.2-201 kernel booted with DT with firmware "build
> 01.15.22.00 2015/10/20"
> 
> What version are you using? 
> 
> The patches have landed upstream so you can use a 4.8rc4 kernel from F-25.
> 
> The person that submitted the patches didn't request stable branch [1][2]
> for the patches so I have no idea the potential impact of these on other
> ACPI platforms.
> 
> [1] http://www.spinics.net/lists/linux-acpi/msg66142.html
> [2] http://www.spinics.net/lists/linux-acpi/msg66738.html

Hi Peter,

How could I request [1][2] into the stable branch ?
And which branch should I request ?

Thanks
Hoan

Comment 10 Peter Robinson 2016-09-01 07:29:24 UTC
> How could I request [1][2] into the stable branch ?
> And which branch should I request ?

I'm not talking about Fedora kernels here, I'm talking about upstream kernels. The process is generally to cc: stable@kernel.org 

A random example from the arm-kernel list is here:
http://www.spinics.net/lists/arm-kernel/msg527775.html

Comment 11 Laura Abbott 2016-09-01 14:27:01 UTC
If you want to request a patch be submitted to the kernel stable trees, please take a look at the instructions http://lxr.free-electrons.com/source/Documentation/stable_kernel_rules.txt#L38 . It's also good practice to Cc maintainers and patch authors (if it isn't yourself) when doing the stable request so they can speak up and indicate if there are any problems with backporting.

Comment 12 Hoan Tran 2016-09-01 15:41:35 UTC
Which kernel version do you want me to request into ?
Is it 4.7 ?

Comment 13 Peter Robinson 2016-09-01 15:48:26 UTC
(In reply to Hoan Tran from comment #12)
> Which kernel version do you want me to request into ?
> Is it 4.7 ?

Yes, it's currently the only kernel in Fedora stable releases we care about (with the fix already in 4.8 in F-25+)

Comment 14 Hoan Tran 2016-09-01 16:05:25 UTC
(In reply to Peter Robinson from comment #13)
> (In reply to Hoan Tran from comment #12)
> > Which kernel version do you want me to request into ?
> > Is it 4.7 ?
> 
> Yes, it's currently the only kernel in Fedora stable releases we care about
> (with the fix already in 4.8 in F-25+)

Did you have a chance to test these patches on Fedora kernel 4.7 ?

Comment 15 Peter Robinson 2016-09-01 16:08:07 UTC
> Did you have a chance to test these patches on Fedora kernel 4.7 ?

No, we don't support ACPI as a primary boot option in F-24 and I'm not actually QA and I don't really have the time to checkout/test/boot a kernel for both that and across x86_64 and other ACPI architectures where this might affect things. For this reason it's not high priority for me/

Comment 16 Itaru Kitayama 2016-09-02 02:45:38 UTC
Hi Hoan,

I've cherry-picked your CPPC patches from linux-next onto the stable 4.7.2 kernel
and confirmed the kernel boots with acpi=force on the Rev A3 board with recent
F/W.

Looking up ARM Koji, the latest f23 kernel version is 4.6.7, does APM want
to support f23 as well (while f25 yet to be release this November should be fine though)?

Anyway, I think you can go ahead and make a request merging the patches to
the stable maintainers.

Comment 17 Peter Robinson 2016-09-02 07:40:21 UTC
> Looking up ARM Koji, the latest f23 kernel version is 4.6.7, does APM want
> to support f23 as well (while f25 yet to be release this November should be
> fine though)?

No, 4.7.x is already headed in that direction, it's just that f23 builds for aarch64 are a little behind, as far as Fedora is concerned everything prior to 4.7 is dead

Comment 18 Hoan Tran 2016-09-02 14:47:30 UTC
Hi Peter and Itaru,

FYI, both patches was queued up

http://git.kernel.org/cgit/linux/kernel/git/stable/stable-queue.git/commit/?id=f9ddd4c5acc68b1b3fc7f45e5151dc30930bf991

Thanks

Comment 19 Itaru Kitayama 2016-09-15 01:11:13 UTC
4.7.3-200.fc24.aarch64 boots fine with acpi=force on Mustang with
quite recent F/W.

Comment 20 Peter Robinson 2016-09-15 07:40:53 UTC
(In reply to Itaru Kitayama from comment #19)
> 4.7.3-200.fc24.aarch64 boots fine with acpi=force on Mustang with
> quite recent F/W.

Hoan: what's the minimum viable firmware for this so we can document it appropriately? Is it publicly available for standard end users (via MyAPM or where ever)?

Comment 21 Hoan Tran 2016-09-15 15:51:29 UTC
Hi Peter,
For this crash issue, the minimum firmware version is not required.

Comment 22 Peter Robinson 2016-09-15 15:59:07 UTC
> For this crash issue, the minimum firmware version is not required.

For ACPI=force with the 4.7 kernel too? We've seen issues, and there is at least a minimum required for a GIC issue with ACPI/pci-e support.

Comment 23 Hoan Tran 2016-09-15 16:36:59 UTC
Peter,

It looks like another issue. Could you give us the bug number if it was opened for that issue?

Comment 24 Peter Robinson 2016-09-15 16:41:19 UTC
(In reply to Hoan Tran from comment #23)
> Peter,
> 
> It looks like another issue. Could you give us the bug number if it was
> opened for that issue?

See email thread I had with you and other APM people around ACPI PCI-e support

Comment 25 Hoan Tran 2016-09-15 17:03:33 UTC
(In reply to Peter Robinson from comment #24)
> (In reply to Hoan Tran from comment #23)
> > Peter,
> > 
> > It looks like another issue. Could you give us the bug number if it was
> > opened for that issue?
> 
> See email thread I had with you and other APM people around ACPI PCI-e
> support

Peter, I could not recall this thread. Could you forward it to me again to hotran@apm.com. Thanks !

Comment 26 Itaru Kitayama 2016-09-27 09:55:15 UTC
4.7.3-100.fc23 boots fine with acpi=force (userland is f24 though).
FW looks a bit old, though backported Hoan's patches handle the ACPI
booting well.

Comment 27 Hoan Tran 2016-09-30 19:00:29 UTC
Hi Peter,

Run with Fedora's 4.7.4-200.fc24.aarch64, Itaru saw an issue about PCC subspaces are not detected on Mustang board as the log below.

...
[    0.071082] NET: Registered protocol family 16
[    0.071302] Error parsing PCC subspaces from PCCT
[    0.071329] vdso: 2 pages (1 code @ fffffc0008830000, 1 data @ fffffc0008ce0000)
...

It's because Fedora doesn't support PCC subspace type 2 yet.

I don't know if you could backport below patches to enable PCC and CPPC for Mustang board ?
[1] http://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/mailbox/pcc.c?id=aca314efb177274b458f7e72c5ff375c80a5c2d0
[2] http://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/acpi/cppc_acpi.c?id=b59c4b3dcd2e63d7a5483df3460d47278df716f7

Thanks
Hoan

Comment 28 Peter Robinson 2016-09-30 21:41:00 UTC
> I don't know if you could backport below patches to enable PCC and CPPC for
> Mustang board ?

No! This bug is _NOT_ the place to request random back ports of kernel patch sets. This bug is CLOSED, the problem at hand is fixed.

The default boot mechanism for Fedora 24 is not ACPI it's DT. I'm not wasting a bunch of my time backporting random patch sets just because you want them. I don't have the time and I don't care that much. If they're in 4.8 they will come to Fedora 24 around the 4.8.2 time frame. Otherwise if you can do it via the stable branch request but as it's not a bug fix I doubt they'll be pulled.


Note You need to log in before you can comment on or make changes to this bug.